Skip to main content
GET
/
v5
/
payouts
/
payouts
Get payouts
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/payouts/payouts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "bankTransferId": 123,
      "status": "ACTIVE",
      "type": "CONFIRMED",
      "amount": 50.01,
      "date": "2021-01-04",
      "description": "Online Banking payment",
      "creditAccountId": 123,
      "debitAccountId": 123,
      "apiTransactionId": "<string>",
      "bankAccountId": 123,
      "bankDescription": "<string>",
      "apiAccountNo": "<string>",
      "apiAccountName": "Citi Premier® Card",
      "apiInstitutionId": "<string>",
      "matchingBankTransferId": 123,
      "customData": {}
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all bank transfers.

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate